
package ru.kolevatykh.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-04-13T02:20:13.979+03:00
 * Generated source version: 3.2.7
 */

@WebFault(name = "AuthenticationException", targetNamespace = "http://endpoint.tm.kolevatykh.ru/")
public class AuthenticationException_Exception extends java.lang.Exception {

    private ru.kolevatykh.tm.endpoint.AuthenticationException authenticationException;

    public AuthenticationException_Exception() {
        super();
    }

    public AuthenticationException_Exception(String message) {
        super(message);
    }

    public AuthenticationException_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public AuthenticationException_Exception(String message, ru.kolevatykh.tm.endpoint.AuthenticationException authenticationException) {
        super(message);
        this.authenticationException = authenticationException;
    }

    public AuthenticationException_Exception(String message, ru.kolevatykh.tm.endpoint.AuthenticationException authenticationException, java.lang.Throwable cause) {
        super(message, cause);
        this.authenticationException = authenticationException;
    }

    public ru.kolevatykh.tm.endpoint.AuthenticationException getFaultInfo() {
        return this.authenticationException;
    }
}
